"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initGlobal = void 0;
const chalk_1 = require("chalk");
const path = require("path");
const find_workspace_root_1 = require("./find-workspace-root");
const output_1 = require("./output");
/**
 * Nx is being run from outside a workspace
 */
function initGlobal() {
    const workspace = find_workspace_root_1.findWorkspaceRoot(process.cwd());
    if (workspace) {
        // Found a workspace root - hand off to the local copy of Nx
        require(path.join(workspace.dir, 'node_modules', '@nrwl', 'cli', 'bin', 'nx.js'));
    }
    else {
        output_1.output.log({
            title: `The current directory isn't part of an Nx workspace.`,
            bodyLines: [
                `To create a workspace run:`,
                chalk_1.default.bold.white(`npx create-nx-workspace@latest <workspace name>`),
            ],
        });
        output_1.output.note({
            title: `For more information please visit https://nx.dev/`,
        });
        process.exit(0);
    }
}
exports.initGlobal = initGlobal;
//# sourceMappingURL=init-global.js.map